# WOK
TKWOK
WOKNT

# WOKNT_PrivCompareOfString Class Reference

`#include <WOKNT_PrivCompareOfString.hxx>`

Inheritance diagram for WOKNT_PrivCompareOfString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
virtual Standard_EXPORT Standard_Boolean | IsLower (const Handle(TCollection_HAsciiString)&Left, const Handle(TCollection_HAsciiString)&Right) const
virtual Standard_EXPORT Standard_Boolean | IsGreater (const Handle(TCollection_HAsciiString)&Left, const Handle(TCollection_HAsciiString)&Right) const
virtual Standard_EXPORT Standard_Boolean | IsEqual (const Handle(TCollection_HAsciiString)&Left, const Handle(TCollection_HAsciiString)&Right) const

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean WOKNT_PrivCompareOfString::IsEqual | ( | const Handle(TCollection_HAsciiString)& | Left,
|  | const Handle(TCollection_HAsciiString)& | Right
| ) | const`[virtual]`

| Reimplemented in WOKNT_CompareOfString.

virtual Standard_EXPORT Standard_Boolean WOKNT_PrivCompareOfString::IsGreater | ( | const Handle(TCollection_HAsciiString)& | Left,
|  | const Handle(TCollection_HAsciiString)& | Right
| ) | const`[virtual]`

| Reimplemented in WOKNT_CompareOfString.

virtual Standard_EXPORT Standard_Boolean WOKNT_PrivCompareOfString::IsLower | ( | const Handle(TCollection_HAsciiString)& | Left,
|  | const Handle(TCollection_HAsciiString)& | Right
| ) | const`[virtual]`

| Reimplemented in WOKNT_CompareOfString.

void WOKNT_PrivCompareOfString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in WOKNT_CompareOfString.

void* WOKNT_PrivCompareOfString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in WOKNT_CompareOfString.

void* WOKNT_PrivCompareOfString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in WOKNT_CompareOfString.

The documentation for this class was generated from the following file:

- WOKNT_PrivCompareOfString.hxx